<template>
  <postpone v-slot:default="{ title, icon }">
    <slot v-bind="$attrs" :actions="[]"></slot>
  </postpone>
</template>

<script lang="ts">
import Task from "@/models/Task";
import Postpone from "./Postpone.vue";

export default {
  components: { Postpone },
  props: {
    task: {
      type: Task,
      required: true
    }
  },
  setup() {
    return {};
  }
};
</script>
